Credential Sets - Update

Updates a credential set for a container registry with the specified parameters.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/credentialSets/{credentialSetName}?api-version=2025-11-01

URI Parameters

Name In Required Type Description
credentialSetName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9-]*$

The name of the credential set.

registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the container registry.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
identity

IdentityProperties

Identities associated with the resource. This is used to access the KeyVault secrets.

properties.authCredentials

AuthCredential[]

List of authentication credentials stored for an upstream. Usually consists of a primary and an optional secondary credential.

Responses

Name Type Description
200 OK

CredentialSet

Azure operation completed successfully.

201 Created

CredentialSet

Resource 'CredentialSet' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

CredentialSetUpdate

Sample request

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/credentialSets/myCredentialSet?api-version=2025-11-01

{
  "properties": {
    "authCredentials": [
      {
        "name": "Credential1",
        "usernameSecretIdentifier": "https://myvault.vault.azure.net/secrets/username2",
        "passwordSecretIdentifier": "https://myvault.vault.azure.net/secrets/password2"
      }
    ]
  }
}

Sample response

{
  "type": "Microsoft.ContainerRegistry/registries/credentialSets",
  "identity": {
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000",
    "type": "SystemAssigned"
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/credentialSets/myCredentialSet",
  "name": "myCredentialSet",
  "properties": {
    "loginServer": "docker.io",
    "authCredentials": [
      {
        "name": "Credential1",
        "usernameSecretIdentifier": "https://myvault.vault.azure.net/secrets/username2",
        "passwordSecretIdentifier": "https://myvault.vault.azure.net/secrets/password2",
        "credentialHealth": {
          "status": "Healthy"
        }
      }
    ],
    "creationDate": "2022-11-07T18:20:08.012276+00:00",
    "provisioningState": "Succeeded"
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/credentialSets/myCredentialSet/operationStatuses/credentialsets-00000000-0000-0000-0000-000000000000?api-version=2025-11-01
{
  "type": "Microsoft.ContainerRegistry/registries/credentialSets",
  "identity": {
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000",
    "type": "SystemAssigned"
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/credentialSets/myCredentialSet",
  "name": "myCredentialSet",
  "properties": {
    "loginServer": "docker.io",
    "authCredentials": [
      {
        "name": "Credential1",
        "usernameSecretIdentifier": "https://myvault.vault.azure.net/secrets/username2",
        "passwordSecretIdentifier": "https://myvault.vault.azure.net/secrets/password2",
        "credentialHealth": {
          "status": "Healthy"
        }
      }
    ],
    "creationDate": "2022-11-07T18:20:08.012276+00:00",
    "provisioningState": "Updating"
  }
}

Definitions

Name Description
AuthCredential

Authentication credential stored for an upstream.

createdByType

The type of identity that created the resource.

CredentialHealth

The health of the auth credential.

CredentialHealthStatus

The health status of credential.

CredentialName

The name of the credential.

CredentialSet

An object that represents a credential set resource for a container registry.

CredentialSetUpdateParameters

The parameters for updating a credential set

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

IdentityProperties

Managed identity for the resource.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

ResourceIdentityType

The identity type.

systemData

Metadata pertaining to creation and last modification of the resource.

UserIdentityProperties

AuthCredential

Authentication credential stored for an upstream.

Name Type Description
credentialHealth

CredentialHealth

This provides data pertaining to the health of the auth credential.

name

CredentialName

The name of the credential.

passwordSecretIdentifier

string

KeyVault Secret URI for accessing the password.

usernameSecretIdentifier

string

KeyVault Secret URI for accessing the username.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CredentialHealth

The health of the auth credential.

Name Type Description
errorCode

string

Error code representing the health check error.

errorMessage

string

Descriptive message representing the health check error.

status

CredentialHealthStatus

The health status of credential.

CredentialHealthStatus

The health status of credential.

Value Description
Healthy
Unhealthy

CredentialName

The name of the credential.

Value Description
Credential1

CredentialSet

An object that represents a credential set resource for a container registry.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

IdentityProperties

Identities associated with the resource. This is used to access the KeyVault secrets.

name

string

The name of the resource

properties.authCredentials

AuthCredential[]

List of authentication credentials stored for an upstream. Usually consists of a primary and an optional secondary credential.

properties.creationDate

string (date-time)

The creation date of credential store resource.

properties.loginServer

string

The credentials are stored for this upstream or login server.

properties.provisioningState

ProvisioningState

Provisioning state of the resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

CredentialSetUpdateParameters

The parameters for updating a credential set

Name Type Description
identity

IdentityProperties

Identities associated with the resource. This is used to access the KeyVault secrets.

properties.authCredentials

AuthCredential[]

List of authentication credentials stored for an upstream. Usually consists of a primary and an optional secondary credential.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

IdentityProperties

Managed identity for the resource.

Name Type Description
principalId

string

The principal ID of resource identity.

tenantId

string

The tenant ID of resource.

type

ResourceIdentityType

The identity type.

userAssignedIdentities

<string,  UserIdentityProperties>

The list of user identities associated with the resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/ providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

Value Description
Creating
Updating
Deleting
Succeeded
Failed
Canceled

ResourceIdentityType

The identity type.

Value Description
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned
None

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserIdentityProperties

Name Type Description
clientId

string

The client id of user assigned identity.

principalId

string

The principal id of user assigned identity.